%define nagios_plugin_dir /usr/lib64/nagios/plugins

Name:           nagios-plugins-check-http-adaptor
Version:        1.0
Release:        1%{?dist}
Summary:        Script for checking nagios plugins via http
Group:          Applications/Archiving
License:        MIT
Source: nagios-plugins-check-http-adaptor-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
the script curls The check path on the server over https and supplies it with a secret for authentication.
the server should be congiured to have a cgi-script to run a nagios plugin on the check path
and validate the secret

%prep
%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT%{nagios_plugin_dir}/
mkdir -p $RPM_BUILD_ROOT/etc/checksecret/
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/check_http_adaptor $RPM_BUILD_ROOT%{nagios_plugin_dir}/
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/example $RPM_BUILD_ROOT/etc/checksecret/



%files
%{nagios_plugin_dir}/check_http_adaptor
/etc/checksecret/example

%changelog
* Mon Feb 25 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.0
- initial build for CentOS 7
